STRCHR(3)

NAME
strchr, index - locate first occurrence of a character in a string

SYNOPSIS
#include <string.h>
char *
strchr(const char *s, int c);
#include <strings.h>
char *
index(const char *s, int c);

DESCRIPTION
The strchr() function locates the first occurrence of the character c (converted to a char) in the string s. The terminating NUL character is considered part of the string. If c is ‘\0’, strchr() locates the terminating ‘\0’.

The index() function is an old synonym for strchr().

RETURN VALUES
The strchr() function returns a pointer to the located character or NULL if the character does not appear in the string.

EXAMPLES
After the following call to strchr(), p will point to the string "oobar":

    char *p;
    char *s = "foobar";
    p = strchr(s, 'o');

SEE ALSO
memchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3), wcschr(3)

STANDARDS
The strchr() function conforms to ansiC.

The index() function is deprecated and shouldn't be used in new code.

HISTORY
The index() function first appeared in AT&T UNIX. The strchr() function first appeared in AT&T UNIX III and was reimplemented for 4.3BSD Tahoe.